(function() {

	tinymce.create('tinymce.plugins.Addshortcodes', {
		init : function(ed, url) {

			//Add Video
			ed.addButton('Video', {
				title : 'Add Video',
				cmd : 'tinyVideo',
				image : url + '/images/video.png'
			});
			ed.addCommand('tinyVideo', function() {
				ed.windowManager.open({file : url + '/ui.php?page=video',width : 600 ,	height : 180 ,	inline : 1});
			});

			//Add Audio
			ed.addButton('Audio', {
				title : 'Add Audio file player',
				cmd : 'tinyAudio',
				image : url + '/images/audio.png'
			});
			ed.addCommand('tinyAudio', function() {
				ed.windowManager.open({file : url + '/ui.php?page=audio',width : 600 ,	height : 200 ,	inline : 1});
			});

			//Add Flash
			ed.addButton('Flash', {
				title : 'Add Flash',
				cmd : 'tinyFlash',
				image : url + '/images/flash.png'
			});
			ed.addCommand('tinyFlash', function() {
				ed.windowManager.open({file : url + '/ui.php?page=flash',width : 600 ,	height : 200 ,	inline : 1});
			});
  			
		}
	});
	tinymce.PluginManager.add('MQShortCodes', tinymce.plugins.Addshortcodes);	
	
})();