<?php
function the_content_limit($max_char, $more_link_text = '(more...)', $stripteaser = 0, $more_file = '') {
    $content = get_the_content($more_link_text, $stripteaser, $more_file);
    $content = apply_filters('the_content', $content);    $content = str_replace(']]>', ']]&gt;', $content);
    $content = strip_tags($content);
	if (strlen($_GET['p']) > 0) {
		echo "";
		echo $content;
		echo "&nbsp;<a class='more' href='";
		the_permalink();
		echo "'>"."التفاصيل</a>";
		echo "";
	}
	else if ((strlen($content)>$max_char) && ($espacio = strpos($content, " ", $max_char ))) {
		$content = substr($content, 0, $espacio);
		$content = $content;
		echo "";
		echo $content;
		echo "...";
		echo "&nbsp;<a class='more' href='";
		the_permalink();
		echo "'>التفاصيل</a>";
		echo "";
	}
	else {
		echo "";
		echo $content;
		echo "";
	}
}

if ( function_exists( 'register_nav_menus' ) ) {
	register_nav_menus(
		array(
		  'headermenu'	=> 'قائمة الهيدر',
		  'footermenu'	=> 'قائمة الفوتر',
		)
	);
}

if ( function_exists('register_sidebar') ) {
	register_sidebar(array(
		'name'=>'القائمة اليمنى',
		'before_widget' => '<div class="widget">',
		'after_widget' => '</div>',
		'before_title' => '<h3>',
		'after_title' => '</h3>',
	));
	register_sidebar(array(
		'name'=>'القائمة اليسرى',
		'before_widget' => '<div class="widget">',
		'after_widget' => '</div>',
		'before_title' => '<h3>',
		'after_title' => '</h3>',
	));
	register_sidebar(array(
		'name'=>'الأقسام الرئيسية',
		'before_widget' => '<div class="widget">',
		'after_widget' => '</div>',
		'before_title' => '<h3>',
		'after_title' => '</h3>',
	));
	register_sidebar(array(
		'name'=>'القائمة الداخلية',
		'before_widget' => '<div class="widget">',
		'after_widget' => '</div>',
		'before_title' => '<h3>',
		'after_title' => '</h3>',
	));
}


if ( function_exists( 'add_theme_support' ) ) { 
add_theme_support( 'post-thumbnails' );
set_post_thumbnail_size( 280, 110, true ); // default Post Thumbnail dimensions (cropped)

// additional image sizes
// delete the next line if you do not need additional image sizes
add_image_size( 'slider', 861, 245, true ); //(cropped)
add_image_size( 'slidersmall', 75, 75, true ); //(cropped)
add_image_size( 'bigthumb', 265, 231, true ); //(cropped)
add_image_size( 'smallthumb', 200, 150, true ); //(cropped)

}

require_once (TEMPLATEPATH . '/mq-includes/admin_panel.php');
require_once (TEMPLATEPATH . '/mq-includes/featured-posts-widget.php');
require_once (TEMPLATEPATH . '/mq-includes/video.php');
require_once (TEMPLATEPATH . '/mq-includes/gallery.php');
require_once (TEMPLATEPATH . '/shortcodes/shortcode.php');
wp_register_script( 'mq-jplayer', get_template_directory_uri() . '/js/jquery.jplayer.min.js', array( 'jquery' ) );

function remove_footer_admin () {
echo 'جميع الحقوق محفوظة';
}
add_filter('admin_footer_text', 'remove_footer_admin');
function change_footer_version() {return ' ';}
add_filter( 'update_footer', 'change_footer_version', 9999);
add_filter('gettext', 'remove_admin_stuff', 20, 3);

function remove_admin_stuff( $translated_text, $untranslated_text, $domain ) {

    $custom_field_text = 'You are using <span class="b">WordPress %s</span>.';

    if ( is_admin() && $untranslated_text === $custom_field_text ) {
        return '';
    }

    return $translated_text;
}

function my_login_logo() { ?>
    <style type="text/css">
		#login{padding:40px 0 0 0;}
		.login h1{text-align: center;background:#0064A9;border-radius: 10px;}
		body.login div#login h1 a {
            background-image: url(<?php echo get_bloginfo( 'template_directory' ) ?>/images/logo_new.png);
            padding: 25px 10px;
			width:260px;
			height:95px;
			background-size:100%;
			background-position: center center;
        }

    </style>
<?php }
add_action( 'login_enqueue_scripts', 'my_login_logo' );
function my_login_logo_url() {
    return 'http://www.hadath.net';
}
add_filter( 'login_headerurl', 'my_login_logo_url' );

add_action('admin_menu','wphidenag');
function wphidenag() {
remove_action( 'admin_notices', 'update_nag', 3 );
}

function remove_admin_elements() {
    echo '<style type="text/css">
        #dashboard_right_now .main p{display:none;}
		#dashboard_primary{display:none;}
    </style>';
}
add_action('admin_head', 'remove_admin_elements');

?>